<?php
namespace Ak\Orm;

use Gedmo\Timestampable\TimestampableListener;

return [
    'orm' => [
        'connection' => 'db',
        'proxy_dir' => 'var/orm/proxy',

        'cache' => [
            'name' => 'filesystem',
            'options' => [
                'directory' => 'var/orm/metadata',
                'extension' => '.doctrinecache.data',
                'umask' => 0002,
            ],
        ],

        'entity_paths' => [

        ],

        'event_subscribers' => [
            Mapping\DiscriminatorSubscriber::class,
            TimestampableListener::class,
        ],
    ],
];