<?php
namespace Ak\Orm\Entity;

/**
 * Entitet kojim upravlja ORM.
 *
 * @package Ak\Orm\Entity
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/orm
 */
interface EntityInterface
{
    /**
     * Vraća ID ovog entiteta.
     *
     * @return int|null
     */
    public function getId(): ?int;
}