<?php
namespace Ak\Orm;

use Ak\Orm\Service\EntityManagerAwareInitializer;
use Laminas\Form\ElementFactory;

return [
    'form_elements' => [
        'aliases' => [
            'entity_multicheckbox' => Form\Element\EntityMulticheckbox::class,
        ],

        'factories' => [
            Form\EntityForm::class => ElementFactory::class,
            Form\Element\EntityMulticheckbox::class => ElementFactory::class,
        ],

        'initializers' => [
            EntityManagerAwareInitializer::class,
        ],
    ],
];
