<?php
namespace Ak\Orm\Service;

use Doctrine\ORM\EntityManagerInterface;

/**
 * Trait EntityManagerAwareTrait
 * @package Ak\Orm\Service
 */
trait EntityManagerAwareTrait
{
    /** @var EntityManagerInterface */
    protected $em;

    /**
     * @return EntityManagerInterface
     */
    public function getEntityManager(): ?EntityManagerInterface
    {
        return $this->em;
    }

    /**
     * @param EntityManagerInterface $entityManager
     */
    public function setEntityManager(EntityManagerInterface $entityManager): void
    {
        $this->em = $entityManager;
    }
}